# schema_salad.tests.test_dotnet_codegen

## Attributes

`cwl_file_uri` |
`metaschema_file_uri` |

## Functions

`test_cwl_gen`(tmp_path) |
`test_meta_schema_gen`(tmp_path) |
`test_class_field`(tmp_path) |
`get_data_uri`(resource_path) |
`dotnet_codegen`(file_uri, target[, examples]) |

## Module Contents

schema_salad.tests.test_dotnet_codegen.test_cwl_gen(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_dotnet_codegen.test_meta_schema_gen(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_dotnet_codegen.test_class_field(tmp_path)
  Parameters:

    tmp_path (pathlib.Path)

  Return type:

    None

schema_salad.tests.test_dotnet_codegen.get_data_uri(resource_path)
  Parameters:

    resource_path (str)

  Return type:

    str

schema_salad.tests.test_dotnet_codegen.cwl_file_uri

schema_salad.tests.test_dotnet_codegen.metaschema_file_uri

schema_salad.tests.test_dotnet_codegen.dotnet_codegen(file_uri, target, examples=None)
  Parameters:

    - file_uri (str)

    - target (pathlib.Path)

    - examples (Optional[pathlib.Path])

  Return type:

    None